aid_account_settings_connections_instabank_callback_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_number": "<string>"
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}"
payload = { "organization_number": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_number: '<string>'})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}"
payload := strings.NewReader("{\n \"organization_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"organization_number\": \"<string>\"\n}")
.asString();{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}account-connections
Instabank Callback
Handle callback from Instabank signup
Completes the Instabank signup, enables Instabank for Checkout
scopes:
- write:accounts:/management/settings/connections/instabank
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
instabank
/
{callback_reference}
aid_account_settings_connections_instabank_callback_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_number": "<string>"
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}"
payload = { "organization_number": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_number: '<string>'})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}"
payload := strings.NewReader("{\n \"organization_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank/{callback_reference}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"organization_number\": \"<string>\"\n}")
.asString();{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9Body
application/json
Instabank Callback
Response
Callback handled
Last modified on September 10, 2026